org.apache.mina.statemachine

## Class StateMachineCreationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.statemachine.StateMachineCreationException

- All Implemented Interfaces:
    Serializable

      public class StateMachineCreationException
      extends RuntimeException

  Exception thrown by `StateMachineFactory` when a `StateMachine` could not be constructed for some reason.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateMachineCreationException(String message)` Creates a new instance.
    `StateMachineCreationException(String message, Throwable cause)` /** Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StateMachineCreationException

          public StateMachineCreationException(String message)

      Creates a new instance.
      Parameters:
        `message` - the message.

    - #### StateMachineCreationException

          public StateMachineCreationException(String message,
                                       Throwable cause)

      /** Creates a new instance.
      Parameters:
        `message` - the message.
        `cause` - the cause.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.